## com.declarativa.interprolog.gui
Class PrologEventBroker

    java.lang.Object
      |
      +--com.declarativa.interprolog.gui.PrologEventBroker

All Implemented Interfaces:
  ActionListener, EventListener

public class PrologEventBroker
extends Object
implements ActionListener

A PrologEventBroker can listen to ActionEvents, and calls a Prolog goal to handle them. If a goal is not specified, Event(ID) goals will be called instead, where ID is the reference of the event source object in the engine's knownObjects table. If a JComponent is specified, its tooltip text will be set; if not, the first JComponent sending an event will have its tooltip text set

Constructor Summary
`PrologEventBroker(PrologEngine e)`
`PrologEventBroker(PrologEngine e, Object g)`
`PrologEventBroker(PrologEngine e, String g)`

Method Summary
`void` `actionPerformed(ActionEvent e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrologEventBroker

    public PrologEventBroker(PrologEngine e,
                             String g)

### PrologEventBroker

    public PrologEventBroker(PrologEngine e,
                             Object g)

### PrologEventBroker

    public PrologEventBroker(PrologEngine e)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`